





                     TPCB - TBBS/PCBoard FidoNet EchoMail System



                             Technical Reference Manual

                      Copyright 1994, Prophet Computer Services
                                 All Rights Reserved

                                     PO Box E41
                                  Emerton NSW 2770
                                      Australia

                                  FidoNet: 3:54/54
                         Usenet: prophet@prophet.mpx.com.au
                                 FAX: +61-2-835-1168
                              Telephone: +61-2-835-1170








                                  Table of Contents
                                  Table of Contents
                                  Table of Contents


            1. Control File Format.....................................3
                1.1.System Configuration ..............................3
                1.2.Board Definition ..................................6
                1.3.Board Configuration ...............................7
                1.4.Profile Settings .................................10
            2. Command Line Parameters................................11
                2.1.Parameters .......................................11
                2.2.TPCB.OPT Usage ...................................14
                2.3.Default Settings .................................15
            3. QSO & PCBoard Compatability............................16
            4. Concurrent Processing with TBBS........................17
            5. Multinetwork Operation.................................18
            6. Messages & Codes.......................................19







            1.
            1.
            1.   Control File Format
                 Control File Format
                 Control File Format

            1.1.
            1.1.
            1.1. System Configuration
                 System Configuration
                 System Configuration

            If no format is specified the parameter has no arguments.

                BadArea
                BadArea
                BadArea

                Format: BadArea [file]

                Where file is the name of a file that will receive
                the EchoTag of any message that is not matched by an
                Area statement. All unknown areas are simply
                discarded. If not specified not information will be
                stored.

                DefineAddress
                DefineAddress
                DefineAddress

                Format: DefineAddress [id] From [addr] To [addr]
                                           Origin [addr]

                Where id is an tag of up to eight characters which is
                used to reference this definition via either Set or
                SetAddress. Addr is a fiodnet style node address
                (refer to fidonet addressing).

                From and To specifies the addresses to use for
                packets created via the scan function (the packet
                will be from/to the ones specified). Origin specifies
                what address will be placed onto any echomail origin
                line created.

                DefineAuth
                DefineAuth
                DefineAuth

                Format: DefineAuth [id] Priv [num] A1 [flag]
                                        A2 [flag] A3 [flag] A4 [flag]

                Where id is an tag of up to eight characters which is
                used to reference this definition via either Set or
                SetAuth. Priv refers to the TBBS userlog priviledge
                required and num is the priv as a number between 0
                and 255. A1 thru A4 reference the TBBS userlog
                authority flags and flag is an eight character string
                made up of 'X' for on '.' for off or '-' for don't
                care.

                This option sets the user access for conferences so
                that some areas will be available only to restricted
                numbers of people. Please refer to your TBBS manual
                for further explanation regarding use of
                authorisation features.

                DefineOrigin
                DefineOrigin
                DefineOrigin

                Format: DefineOrigin [id] [text]

                Where id is an tag of up to eight characters which is
                used to reference this definition via either Set or






                SetOrigin. Where text is the information to be added
                to local fidonet echomail message origin lines when
                created via a scan.

                DefinePurge
                DefinePurge
                DefinePurge

                Format: DefinePurge [id] Count [num] Age [day]
                                         CMPDays [day] CMPNDX [pct]
                                         Renum [num]

                Where id is an tag of up to eight characters which is
                used to reference this definition via either Set or
                SetPurge.

                Count specifies the maximum [num] number of messages
                (first in first out) that should remain in the base
                after a compress operation.

                Age specifies the maximum number of days that a
                message will be kept, all messages older than [day]
                days old.

                CMPDays specifies that at most [day] number of days
                may elapse between compresses before an autocompress
                will be forced.

                CMPNDX specifies the maximum [pct] percent used of
                the PCBoard index file before an autocompress will be
                forced.

                Renum specifies that when the highest message [num]
                number is exceeded a forced renumber operation will
                be forced during the next compress operation.

                Inbound
                Inbound
                Inbound

                Format: Inbound [path]

                Where path specifies the directory that will be
                searched for inbound traffic that is to be imported,
                via Toss. Only ARCMail or Packet files should be
                placed into this directory for processing.

                LineWrap
                LineWrap
                LineWrap

                Format: LineWrap [column]

                Where column specifies at what column (line width) a
                long line will trigger mulitline processing. Please
                note that most off line readers do not cope overly
                well with long lines (ie over 80 characters).

                The default setting is 79, setting the value to 0
                will result in no text reformatting being performed.

                Outbound
                Outbound
                Outbound

                Format: Outbound [path]






                Where path is the directory to be used for outbound
                traffic created as a result of a Scan operation.

                UUAddress
                UUAddress
                UUAddress

                Format: UUAddress [usenet address]

                Where usenet address specifies the name of your site,
                either allocated by your UUCP host or from the
                internet authority.

                UUHost
                UUHost
                UUHost

                Format: UUHost [usenet host name]

                Where usenet host name is the name of the system you
                call with UUCP, eight or less characters in length.

                UUIn
                UUIn
                UUIn

                Format: UUin [path]

                Where path specifies the directory your UUCP puts
                inbound files for processing.

                UUMailIn
                UUMailIn
                UUMailIn

                Format: UUMailIn [path]

                Not used at this time, reserved.

                UUOrganization
                UUOrganization
                UUOrganization

                Format: UUOrganization [org name]

                Where org name is a text commentary added to outbound
                messages in the 'Organization:' line of messages.

                UUOut
                UUOut
                UUOut

                Format: UUOut [path]

                Where path specifies the directory files for despatch
                by UUCP should be placed.

                UUSignature
                UUSignature
                UUSignature

                Format: UUSignature [filename]

                Not used .. reserved

                UUType
                UUType
                UUType

                Format: UUType [UUCP Type]

                Where UUCP Type specifies the UUCP processor used, at
                this time WAFFLE must be used.






                WaysidePath
                WaysidePath
                WaysidePath

                Format: WaysidePath [path]

                Where path specifies the directory to be used to
                write locally enetered messages (as *.MSG files)
                before being reviewed and released using the Wayside
                command line option.

                WorkPath
                WorkPath
                WorkPath

                Format: WorkPath [path]

                Where path is a drive and directory specification.
                Workpath defines where temporary work files should be
                written, a root directory is acceptable as all
                functions create a temporary working

            1.2.
            1.2.
            1.2. Board Definition
                 Board Definition
                 Board Definition

            Each PCBoard message base definition is commenced by the
            use of one of the Area directives, any pending processing
            for the previous area will be completed and stored before
            processing the new definition. All new areas are created
            with a copy of the current profile (see below).

            Each of the individual Area definition commands are used
            to specify the type of message board, apart from this
            they are basically equivalent. The name of the board
            after the 'Area' definition must be unique for all type
            of board, no duplication is possible (ie an area with the
            same echotag in multiple networks is not supported.

            If no format is specified the parameter has no arguments.

                FTNArea, FArea, FidoArea or Area
                FTNArea, FArea, FidoArea or Area
                FTNArea, FArea, FidoArea or Area

                Format: FArea [echotag]

                Echotag is the indentifier used in the 'AREA:' line
                of messages.

                The FArea directive commences definition of a new
                FidoNet PCBoard message base, the directive remains
                in effect until an Area or EndArea directive is
                encountered or end of file is reached.

                UUArea
                UUArea
                UUArea

                Format: UUArea [newsgroup]

                Newsgroup is the identifier used in the 'Newsgroups:'
                line of the messages.

                The UUArea directive commences the definition of a
                new UUCP PCBoard message base, the directive remains
                in effect until an Area or EndArea directive is
                encountered or end of file is reached.






                TArea or TBBSArea
                TArea or TBBSArea
                TArea or TBBSArea

                Format: TArea [comment]

                Comment is basically ignored but must be a unique
                area name.

                The TArea directive commences the definition of a new
                TBBS INternal message board (or topic). This function
                is only used so that the QSO configuration builder
                can include all message areas.

                Not all configuration options are valid for a TArea
                message definition.

                EndArea
                EndArea
                EndArea

                Endarea specifies that the definition of an area is
                complete and end of area validation should be
                performed.

            1.3.
            1.3.
            1.3. Board Configuration
                 Board Configuration
                 Board Configuration

            Not all configuration statements apply, those that have
            limited applicability are noted. Specifying non-valid
            options will cause a warning when the configuartion is
            compiled.

            If no format is specified the parameter has no arguments.

                AddOrigin
                AddOrigin
                AddOrigin

                AddOrigin specifies that a FidoNet style Origin line
                is to be added to messages created. This is the
                default setting, see NoOrigin.

                NoOrigin
                NoOrigin
                NoOrigin

                NoOrigin specifies that no FidoNet style Origin line
                is to be added to messages created, see AddOrigin.

                NoWayside
                NoWayside
                NoWayside

                NoWaySide specifies that all lcoally entered messages
                are to be placed into the defined outbound area
                immediately for despatch over the relevant network,
                see Wayside.

                PCBEcho
                PCBEcho
                PCBEcho

                PCBEcho specifies that this is a conference, rather
                than E-Mail, this is the default. See also PCBMail.

                PCBFile
                PCBFile
                PCBFile

                Format: PCBFile [file]






                Where file is the full path name of the PCBoard style
                message base (no file extension is permitted).

                PCBIndex
                PCBIndex
                PCBIndex

                Format: PCBIndex [num]

                Where num specifies the number of PCBoard index
                blocks to be associated with this message base.
                Permitted values range from 4 thru 16 with 4 being
                the default.

                This value must be set when the file is created,
                changing the value for an existing base may cause
                undesired effects.

                PCBMail
                PCBMail
                PCBMail

                PCBMail specifies that this is an E-Mail board, see
                also PCBEcho. Note this option is non-functional at
                this point in time.

                QSOAttr
                QSOAttr
                QSOAttr

                Format: QSOAttr [attr]

                Where attr specifies attributes as documented by QSO.
                The default setting is 'X' which is mandatory for
                PCBoard style message bases with QSO.

                QSONetID
                QSONetID
                QSONetID

                Format: QSONetID [net]

                Where net is the name of the network for this message
                base (eg FidoNet). This directive is used to supply
                the information required by QSO.

                QSONum
                QSONum
                QSONum

                Format: QSONum [num]

                Where num is the conference number that this message
                base is to use for QSO.

                QSOQWKName
                QSOQWKName
                QSOQWKName

                Format: QSOQWKName [txt]

                Where txt is the name to be used by QSO when
                displaying the conference name to the user.

                QSOTBBSName
                QSOTBBSName
                QSOTBBSName

                Format: QSOTBBSName [txt]






                Where txt is the identification that QSO uses to map
                PCBoard message bases from the user name to that
                contained in the file QSOXTERN.CTL.

                ScanToss
                ScanToss
                ScanToss

                ScanToss specifies that the message base is capable
                of importing and exporting messages, see alo TossOnly
                & ScanOnly.

                ScanOnly
                ScanOnly
                ScanOnly

                ScanOnly specifies that the message base is only able
                to export messages, and inbound messages will be
                discarded, see also ScanToss & TossOnly.

                SET
                SET
                SET

                Format: Set [id]

                Where id has been previously defined via the Define*
                commands.

                Set is a shortcut directive, it will automatically
                call each of the 'Set*' commands using the id
                specified. This command is the equivalent of
                individually issuing the Sets on after the other.

                SetAddress
                SetAddress
                SetAddress

                Format: SetAddress [id]

                Where id has been previously defined via a
                DefineAddress command. A SetAddress will make the
                settings in the named id active.

                SetAuth
                SetAuth
                SetAuth

                Format: SetAuth [id]

                Where id has been previously defined via a DefineAuth
                command. A SetAuth will make the settings in the
                named id active.

                SetOrigin
                SetOrigin
                SetOrigin

                Format: SetOrigin [id]

                Where id has been previously defined via a
                DefineOrigin command. A SetOrigin will activte the
                origin line in the named id.

                SetPurge
                SetPurge
                SetPurge

                Format: SetPurge [id]






                Where id has been previously defined via a
                DefinePurge command. A SetPurge will make the
                settings in the named id active.

                TossOnly
                TossOnly
                TossOnly

                TossOnly specifies that the message base is only able
                to import messages, any local messages entered will
                be ignored during scan operations, see also ScanToss
                & ScanOnly.

                Wayside
                Wayside
                Wayside

                Wayside specifies that locally entered messages will
                be written to the defined Wayside area for review
                before being released into the network via the
                seperate Wayside command line option. See also
                WaysidePath.

            1.4.
            1.4.
            1.4. Profile Settings
                 Profile Settings
                 Profile Settings

            In order to simplify the process of configuration a
            number of the commands that define an individual area may
            also be specified outside an Area definition block. In
            this case the setting becomes 'sticky' and will aply by
            default to any area defined afterwards (unless overridden
            inside the area definition itself).

            In fact you will probably find it almost mandatory to use
            this facility in order to save each Area definition
            becoming a large block of configuration command code.

            The commands that may be used to create a default profile
            for new areas are; AddOrigin, NoOrigin, NoWayside,
            PCBIndex, QSOAttr, QSONetID, ScanToss, ScanOnly, Set,
            SetAddress, SetAuth, SetOrigin, SetPurge, TossOnly, &
            Wayside.






            2.
            2.
            2.  Command Line Parameters
                Command Line Parameters
                Command Line Parameters

            2.1.
            2.1.
            2.1. Parameters
                 Parameters
                 Parameters

            All command line parameters start with a dash character
            as a lead in, eg -scan, this is a mandatory method so
            that the command line processor is able to properly parse
            multiple argument command lines. The sequence of
            parameters is not significant.

            If no format is specified the parameter has no arguments.

                Config - Specify Configuration File to Parse
                Config - Specify Configuration File to Parse
                Config - Specify Configuration File to Parse

                Format: -Config [file] where file is the
                configuration file to use.

                Config specifies the configuration file to use during
                the compile process, the default is '-config
                tpcb.ctl'.

                Scan - Message Base Scan/Export (FidoNet)
                Scan - Message Base Scan/Export (FidoNet)
                Scan - Message Base Scan/Export (FidoNet)

                Scan will cause TPCB to check each message base for
                new messages entered locally that are to be exported.
                The new messages will either be written to the
                outbound or wayside area depending on the setting of
                the wayside processing.

                TPCB maintains information that permits it to bypass
                previously scanned messages to reduce processing
                time.

                ReScan - Message Base Scan/Export (Local Messages)
                ReScan - Message Base Scan/Export (Local Messages)
                ReScan - Message Base Scan/Export (Local Messages)
                   All Messages
                   All Messages
                   All Messages

                ReScan is identical to Scan except that the last
                message number scanned information is ignored and
                each message base is scanned from the first message
                in the base. This operation can take a considerable
                amount of time if you have a large number of bases or
                many large message bases.

                Toss - Message Base Toss/Import (FidoNet)
                Toss - Message Base Toss/Import (FidoNet)
                Toss - Message Base Toss/Import (FidoNet)

                Toss will unpack and process inbound traffic that is
                in the Inbound directory.

                UUIN - Message Base Toss/Import (UUCP)
                UUIN - Message Base Toss/Import (UUCP)
                UUIN - Message Base Toss/Import (UUCP)

                UUIN will unpack and process inbound traffic that is
                in the UUCP UUin spool directory.

                UUOUT - Message Base Scan/Export (UUCP)
                UUOUT - Message Base Scan/Export (UUCP)
                UUOUT - Message Base Scan/Export (UUCP)

                UUOut will cause TPCB to check each message base for
                new messages entered locally that are to be exported.
                The new messages will either be written to the UUOut






                or wayside area depending on the setting of the
                wayside processing.

                TPCB maintains information that permits it to bypass
                previously scanned messages to reduce processing
                time.

                Log - Logging Information File
                Log - Logging Information File
                Log - Logging Information File

                Format: -Log [file]

                Where file is the target file for logging.

                Log specifies the file that is to receive log
                messages from TPCB, the default is '-log tpcb.log'.
                The log file is mandatory and contains important
                information about any problems encountered during
                processing.

                Compress - Message Area Compression (All Areas)
                Compress - Message Area Compression (All Areas)
                Compress - Message Area Compression (All Areas)

                Compress will invoke the message base compactor, and
                renumber where necessary, for all message bases
                defined. If you have a large number of bases this
                will take a considerable amount of time.

                CompressAuto - Message Area Compression (Automatic)
                CompressAuto - Message Area Compression (Automatic)
                CompressAuto - Message Area Compression (Automatic)

                CompressAuto will invoke the message base compactor,
                and renumber where necessary, for message bases which
                are selectable for compression using the message
                bases thresh hold settings.

                CompressArea - Message Area Compression (One Area)
                CompressArea - Message Area Compression (One Area)
                CompressArea - Message Area Compression (One Area)

                Format: -CompressArea [area]

                Where area is the EchoTag.

                CompressArea will compress the specified area
                regardless of compression thresh hold settings. The
                EchoTag is the name specifies on the 'Area'
                definition line (also the FidoNet area name or
                echotag).

                Stat - Message Base Statistics
                Stat - Message Base Statistics
                Stat - Message Base Statistics

                Stat creates a statistic file for all defined message
                bases. The information is written to a file with the
                same name as the configuration file with an extension
                of 'STA'. The file is intended to be a quick
                reference to the status of the message system.

                List - System Configuration List
                List - System Configuration List
                List - System Configuration List

                List creates a file of all system settings, including
                all message bases and relevant base settings. The
                file is quite comprehensive and will be large if you






                have a number of bases defined. The information is
                written to a file with the same name as the
                configuration file with an extension of 'LST'.

                Create - Build Empty Message Bases
                Create - Build Empty Message Bases
                Create - Build Empty Message Bases

                Create builds empty message bases, if you add new
                areas QSO requires that an empty base be available,
                if not present QSO will fail. Any time new areas are
                created TPCB should be run using this option.

                Wayside - Release Outbound Messages
                Wayside - Release Outbound Messages
                Wayside - Release Outbound Messages

                Wayside will pack any messages that have been
                temporarily stored in the wayside directory. The
                purpose of this processing is to allow review of all
                local messages before they are released into the
                network.

                Renumber - Message Area Renumber (All Areas)
                Renumber - Message Area Renumber (All Areas)
                Renumber - Message Area Renumber (All Areas)

                This option is reserved.

                Verbose - List Additional Information
                Verbose - List Additional Information
                Verbose - List Additional Information

                This option is reserved.

                MaxWarn - Maximum Compile Return Code
                MaxWarn - Maximum Compile Return Code
                MaxWarn - Maximum Compile Return Code

                This probably doesn't work.

                QX / QXS - Build QSOExtern File
                QX / QXS - Build QSOExtern File
                QX / QXS - Build QSOExtern File

                These options create a file with the same name as the
                configuration file with an extension of 'QX' & 'QXS'
                respectively. The QX file is directly usable as the
                QSO file QSOExtern.CTL.

                The QXS file is formatted so that it may be sorted
                (using QSort etc) into the sequence preferred by QSO
                for quicker access. A utility program is required to
                strip the first argument from the file after sorting
                before being usable by QSO.

                QI /QIS - Build QSO Include File
                QI /QIS - Build QSO Include File
                QI /QIS - Build QSO Include File

                These options create a file with the same name as the
                configuration file with an extension of 'QI' & 'QIS'
                respectively. The QI file is in the format used by
                QSO for MsgArea definitions but is not sequenced,
                which could mean that QSO will not process the file.

                The QIS file is formatted so that it may be sorted
                (using QSort etc) into the sequence required by QSO.
                A utility program is required to strip the first
                argument from the file after sorting before being
                usable by QSO.






                Special note, QSO requires all MsgArea statements to
                be in ascending order of MsgArea number, this
                includes both external and native message bases.

                DTF - Build Database Text File
                DTF - Build Database Text File
                DTF - Build Database Text File

                This option creates a file with the same name as the
                configuration file with an extension of 'DTF'. The
                file is a 'comma delimited' file that is compatible
                with dBaseIII/TDBS and may be imported into a
                database for usage online.

                DumpCMD - Dump Command Line Parameter Configuration
                DumpCMD - Dump Command Line Parameter Configuration
                DumpCMD - Dump Command Line Parameter Configuration

                This option creates a file 'TPCB.CLD' (Command Line
                Dump) that contains the settings of the command line
                parameters after the parsing process has been
                completed.

                DumpSTR - Dump String Pool Configuration
                DumpSTR - Dump String Pool Configuration
                DumpSTR - Dump String Pool Configuration

                This option creates a file 'TPCB.SPD' (String Pool
                Dump) that contains the internal control information
                and the stored text strings allocated by the pool
                system.

                Debug - Set Debug Mode
                Debug - Set Debug Mode
                Debug - Set Debug Mode

                This option enables extra information information to
                be displayed on logs and other processing. Although
                primarily to assist with debugging problems it may be
                helpful in other circumstances.

                If problems are being encountered and there are
                messages in the log file, the debug option will cause
                module information to be recorded which will be
                invaluable during problem resolution.

            2.2.
            2.2.
            2.2. TPCB.OPT Usage
                 TPCB.OPT Usage
                 TPCB.OPT Usage

            Any command line parameter may be specified on a seperate
            line in the file TPCB.OPT the file will be searched by
            TPCB in the current directory and also from the directory
            where the program file (ie TPCB.EXE) is located.

            This permits you to store your standard operating
            parameters for use every time TPCB is executed. Do not
            specify directive parameters (like SCAN TOSS etc) unless
            you really intend for the command to be executed every
            time.

            For further information on using the OPT file directives
            refer to document ????? available from Prophet Computer
            Services.






            2.3.
            2.3.
            2.3. Default Settings
                 Default Settings
                 Default Settings

            Most command line parameters have default settings (eg
            the default for CONFIG is TPCB.CTL). You may view the
            'default' settings by running TPCB with the following
            command line "TPCB -dumpcmd" the settings will be written
            to a file TPCB.CLD (Command Line Dump).

            The parameters in your OPT file will also be reflected in
            the file listing.






            3.
            3.
            3.   QSO & PCBoard Compatability
                 QSO & PCBoard Compatability
                 QSO & PCBoard Compatability

            TPCB is specifically designed to run with TBBS/QSO.
            Attempting to use TPCB with any other software, including
            PCBoard, is not recommended.

            TPCB uses 'spare' bytes within the PCBoard message bases
            to keep track of various information that assists with
            tasks like message renumbering and information. TBBS/QSO
            does not access this information in any way and is
            therefore not affected.

            When a user causes QSO to scan the PCBoard areas for
            messages it uses shared file access, with record locking,
            therefore both QSO & TPCB may read and write messages at
            the same time.






            4.
            4.
            4.  Concurrent Processing with TBBS
                Concurrent Processing with TBBS
                Concurrent Processing with TBBS

            As QSO processes PCBoard message bases using shared
            access, TPCB is able to scan and toss messages
            concurrently as user packets are being built. In order
            for processing to be handled correctly DOS SHARE must be
            loaded for netbios based local area networks. Novell
            handles record locking internally.

            Please note, compressing or renumbering message bases
            while TBBS is running is inherently dangerous.

            The compression process builds a new message base during
            its processing, if QSO attempts to access the message
            base while this process is running the user will likely
            receive a DOS error message. If QSO writes to the message
            base during compression the message base will most likely
            be corrupted.

            The renumber process requires exclusive access to the
            TBBS files userlog.bbs & userlog.ptr severe damage will
            be caused to both files if TBBS is running during any
            renumber processing.






            5.
            5.
            5.  Multinetwork Operation
                Multinetwork Operation
                Multinetwork Operation

            There are two ways to use TPCB when you are running in
            multiple Fido style networks. The easiest and recommended
            way is that you use the Define* functions and build one
            control file for all areas. This requires that no echotag
            or newsgroup name is defined more than once (ie the
            conference TREK in TrekNet and FidoNet).

            TPCB will complain if you do this unintentionally but if
            you fool TPCB into accepting the same area from multiple
            sources you will be importing both networks into one
            board!

            The other way is to setup a seperate control file for
            each network and process them all individually, including
            having their own directories as required.






            6.
            6.
            6.   Messages & Codes
                 Messages & Codes
                 Messages & Codes

            Please note that this list was last updated with version
            0.2.

            000001 Configuration load failed, compile return code
            '<num>'

            000002 Unable to malloc() message buffer

            000003 Error unpacking '<file>' code returned '<num>'

            000004 Unable to delete ARCMail file '<file>'

            000005 program failed during text read from message
            Packet

            000006 Unable to malloc() message buffer

            000007 Read failed on message base '<file>'

            000008 Unable to re-write message header to base '<file>'

            000009 Unable to write wayside message for base '<file>'

            000010 Unable to write outbound packet for base '<file>'

            000011 Unable to malloc() message buffer

            000012 Unable to write outbound packet for wayside
            message

            000013 Unable to build out packet directory '<dir>' does
            not exist

            CFG001 Unable to open configuration file '<file>'

            CFG002 Unable to close configuration file '<file>'

            CFG003 CFG Line <line>: Invalid control file command
            '<file>' ignored

            CFG004 CFG Line <line>: Option '<opt>' allows no
            parameter, additional information '<file>' ignored

            CFG005 CFG Line <line>: Function '<fun>' unable to parse
            <val> value

            CFG006 CFG Line <line>: Option '<opt>' requires a
            parameter, none supplied

            CFG007 CFG Line <line>: malloc() failed for operation
            '<@@@>' <@@@>

            CFG008 CFG Line <line>: Option '<opt>' can only be
            specified once






            CFG009 CFG Line <line>: AREA EchoTag '<tag>' invalid may
            not contain spaces

            CFG010 CFG Line <line>: AREA EchoTag '<tag>' already
            defined

            CFG011 CFG Line <line>: Option '<opt>' Directory '<dir>'
            does not exist - ignored

            CFG012 CFG Line <line>: Option '<opt>' could not scan
            address from '<txt>'

            CFG013 CFG Line <line>: Option '<opt>' can not be set as
            default

            CFG014 CFG Line <line>: '<@@@>' unable to scan index
            count from '<txt>'

            CFG015 CFG Line <line>: '<@@@>' parameter '<@@@>' exceeds
            maximum allowed (<max> chars)

            CFG016 CFG Line <line>: '<@@@>' unable to scan QSO Board
            Number '<txt>'

            CFG017 CFG Line <line>: Option '<opt>' QSO Does not
            support enclosed files, parameter 'E' ignored

            CFG018 CFG Line <line>: Option '<opt>' parameter '<char>'
            specified more than once, ignored

            CFG019 CFG Line <line>: Option '<opt>' unknown parameter
            '<char>' ignored

            CFG020 CFG Line <line>: did not expect '<@@@>' no AREA
            current

            CFG021 CFG Line <line>: '<@@@>' the directory '<dir>'
            does not exist

            CFG022 AREA '<tag>' validation failed, parameter '<parm>'
            is missing or invalid <addtxt>

            CFG023 CFG Line <line>: '<@@@>' a directory '<dir>'
            exists, can not be a PCBoard message area as well

            CFG024 Unable to open list file '<file>' for
            configuration

            CFG025 CFG Line <line>: '<@@@>' index count '<txt>' is
            too large"

            CFG026 CFG Line <line>: '<@@@>' unable to scan line wrap
            length from '<txt>'

            CFG027 CFG Line <line>: '<@@@>' line wrap length '<txt>'
            is too large






            CFG028 CFG Line <line>: '<@@@>' renumber threshold count
            '<txt>' is too large

            CFG029 CFG Line <line>: '<@@@>' unable to scan compress
            threshold count from '<txt>'

            CFG030 CFG Line <line>: '<@@@>' compress threshold
            '<txt>%' is too large

            CFG031 CFG Line <line>: '<@@@>' unable to scan compress
            threshold count from '<txt>'

            CFG032 CFG Line <line>: '<@@@>' compress days '<txt>%' is
            too large

            CMP001 Write failed on USERLOG.BAK

            CMP002 Unable to malloc() message buffer

            CMP003 Unable to open old message base '<file>'

            CMP004 Unable to read header for message base '<file>'

            CMP005 Area '<tag>' message number sequence error,
            forcing numeric sequence

            CMP006 EOF hit on message base '<file>', trashing last
            message

            CMP007 Read failed on message base '<file>'

            CMP008 Purge Area '<tag>' Old Count <count> Deleted
            <count> Purged <count> Copied <count>

            CMP009 Unable to open renumber work file '<file>'

            CMP010 Unable to realloc renum_info buffer

            CMP011 Unable to write to renumber work file '<file>'

            CMP012 Read failed on USERLOG.PTB

            CMP013 lseek() failed on USERLOG.PTB

            CMP014 Read failed on USERLOG.PTB

            CMP015 lseek() failed on USERLOG.PTB

            CMP016 Write failed on USERLOG.PTB

            CMP017 lseek() failed on USERLOG.PTB

            CMP018 Write failed on USERLOG.PTB

            CMP019 Write failed on USERLOG.BAK

            CMP020 Unable to locate USERLOG.BBS in TBBSPATH






            CMP021 Open failed on USERLOG.BBS

            CMP022 Unable to locate USERLOG.PTR in TBBSPATH

            CMP023 Open failed on USERLOG.PTR

            CMP024 Open failed on USERLOG.PTB

            CMP025 Open failed on USERLOG.BAK

            CMP026 malloc() failed for USERLOG.PTR work space

            CMP027 lseek() failed on USERLOG.PTR

            CMP028 Read failed on USERLOG.PTR

            CMP029 Delete failed on USERLOG.BBS

            CMP030 Rename failed on USERLOG.BAK to USERLOG.BBS

            CMP031 Delete failed on USERLOG.PTR

            CMP032 Rename failed on USERLOG.PTB to USERLOG.PTR

            CMP033 Seek failed on renum work file

            CMP034 Read failed on renum work file

            CMP035 Purge Board '<file>' No messages left .. adding
            dummy header

            MBH001 Internal error, tpcb_max_file value is impossible

            MBH002 Unable to open message base '<file>' already open
            by another, will re-try

            MBH003 Unable to open message base '<file>' already open
            by another, aborting

            MBH004 Unable to open message base '<file>'

            MBH005 Unable to open message index '<file>'

            MBH006 Unable to malloc() tpcb_file

            MBH007 Unable to create message base '<file>'

            MBH008 Unable to create message base index '<file>'

            MBH009 Unable to write message base '<file>'

            MBH010 Unable to write message base index '<file>'

            MBH011 Message base '<file>' has impossible header Low
            '<msgno>' High '<msgno>'

            MBH012 Message base '<file>' has impossible header Low
            '<msgno>' High '<msgno>' Msg '<msgno>'






            MBH013 Write error message base '<file>'

            MBH014 Write error message base '<file>'

            MBH015 Unable to lock message base '<file>'

            MBH016 Unable to set lock indicator for message base
            '<file>'

            MBH017 Unable to clear lock indicator for message base
            '<file>'

            MBH018 Unable to unlock message base '<file>'

            MBH019 Unable to read header for message base '<file>'

            MBH020 Unable to read header for message base '<file>'

            MBH021 Unable to write header for message base '<file>'

            MBH022 Unable to write header for message base '<file>'

            MBH023 Unable to write message base index '<file>'

            MBH024 Unable to read message base index '<file>'

